=== debian/control ===
Source: libloki
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
Standards-Version: 4.7.0
Homepage: https://loki-lib.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/libloki
Vcs-Git: https://salsa.debian.org/debian/libloki.git

Package: libloki0.1.7t64
Provides: ${t64:Provides},
Replaces: libloki0.1.7,
Breaks: libloki0.1.7 (<< ${source:Version}),
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: C++ library of generic design patterns
 Loki is a ("the"?) C++ library of generic programming techniques, containing
 flexible implementations of common design patterns and idioms. It is an
 essential library for modern C++ programming and exposes many cool features
 of the language.
 .
 The code accompanies the (non-free) book, _Modern C++ Design_ (Alexandrescu,
 2001), which goes into depth on the design of the library.

Package: libloki-dev
Section: libdevel
Architecture: any
Depends: libloki0.1.7t64 (= ${binary:Version}),
         ${misc:Depends},
Suggests: libloki-doc,
Description: C++ library of generic design patterns (development files)
 Loki is a ("the"?) C++ library of generic programming techniques, containing
 flexible implementations of common design patterns and idioms. It is an
 essential library for modern C++ programming and exposes many cool features
 of the language.
 .
 The code accompanies the (non-free) book, _Modern C++ Design_ (Alexandrescu,
 2001), which goes into depth on the design of the library.
 .
 This package contains the header files and static libraries needed
 to build programs that use loki.

Package: libloki-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: C++ library of generic design patterns (documentation)
 Loki is a ("the"?) C++ library of generic programming techniques, containing
 flexible implementations of common design patterns and idioms. It is an
 essential library for modern C++ programming and exposes many cool features
 of the language.
 .
 This package contains the generated doxygen documentation for loki.
