=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- OS=Linux build-static build-shared CXXFLAGS="$(CXXFLAGS)"

override_dh_auto_test:
	-dh_auto_test -- OS=Linux

override_dh_auto_install:
	dh_auto_install -- OS=Linux install prefix=$(CURDIR)/debian/tmp/usr
