=== debian/watch ===
version=4
http://sf.net/loki-lib/ loki-(.+)\.tar\.gz
